Bug 140124 - 500 error when CA cert passwords don't match during web-configuration
500 error when CA cert passwords don't match during web-configuration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
360
All Linux
high Severity medium
: ---
: ---
Assigned To: Robin Norwood
Max Spevack
:
Depends On:
Blocks: rhn360sat
  Show dependency treegraph
 
Reported: 2004-11-19 17:11 EST by Max Spevack
Modified: 2007-08-06 11:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-22 12:30:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Max Spevack 2004-11-19 17:11:14 EST
Description of problem:

During the web-configuration portion of the satellite installation, if
the CA Cert passwords that you enter on the SSL configuration page
don't match, you get a 500 error.

I had to look at the error logs to determine the source of the error.

We should be able to check this and show a nice error message, right?

Version-Release number of selected component (if applicable):
3.6

How reproducible:
Always

Steps to Reproduce:
1.  See desc
  
Actual results:
500

Expected results:
Nice error

Additional info:

Error message:
  RHN::Exception: Message text and queue name required - got (, The CA
Cert passwords did not
match)
  PXT::Request
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/Request.pm 77
RHN::Exception::throw
  Sniglets::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Sniglets/SatInstall.pm
1155
PXT::Request::push_message
  Sniglets::SatInstall
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/Sniglets/SatInstall.pm
112
Sniglets::SatInstall::gen_sat_cert_cb
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
611 Sniglets::SatInstall::satinstall_form_cb
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
110 PXT::ApacheHandler::pxt_parse_data
  PXT::ApacheHandler
/usr/lib/perl5/site_perl/5.8.0/i386-linux-thread-multi/PXT/ApacheHandler.pm
110 (eval)
  main /dev/null 0 PXT::ApacheHandler::handler
  main /dev/null 0 (eval)
Comment 1 Robin Norwood 2004-11-22 10:20:16 EST
Fixed in CVS.

Test plan:

1) Begin sat 3.6 installation.
2) At the SSL cert configuration page, enter two different passwords
  You should get a pretty error message, not a 500 error.
Comment 2 Chip Turner 2004-12-01 13:50:22 EST
mass change to ON_QA from QA push
Comment 3 Max Spevack 2004-12-01 15:00:13 EST
Fixed
Comment 4 Todd Warner 2005-03-22 12:30:27 EST
Mass move from PROD_READY to CLOSED:CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.